package ru.dbotthepony.kstarbound.defs.item

data class ItemDefinition(
	override val shortdescription: String,
	override val description: String,
	override val itemName: String,
	override val price: Long,
	override val rarity: ItemRarity,
	override val category: String?,
	override val inventoryIcon: List<IItemDefinition.IInventoryIcon>?,
	override val itemTags: List<String>,
	override val learnBlueprintsOnPickup: List<String>,
	override val maxStack: Long,
	override val eventCategory: String?,
	override val consumeOnPickup: Boolean,
	override val pickupQuestTemplates: List<String>,
	override val scripts: List<String>,
	override val tooltipKind: ItemTooltipKind,
	override val twoHanded: Boolean,
	override val radioMessagesOnPickup: List<String>,
	override val fuelAmount: Long?,

	val json: Map<String, Any>
) : IItemDefinition
