
#version 460

layout (location = 0) in vec2 vertexPos;
layout (location = 1) in vec2 uvCoords;

out vec2 oUVCoords;

uniform mat4 transform;

void main() {
	gl_Position = transform * vec4(vertexPos, 0.0, 1.0);
	oUVCoords = uvCoords;
}
